BaseDecorator (Hyperic HQ Plugin API)
Keywords: org.hyperic.hq.ui.taglib.display.BaseDecorator class

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hyperic.hq.ui.taglib.display
Class BaseDecorator

    java.lang.Object
      org.hyperic.hq.ui.taglib.display.Decorator
          org.hyperic.hq.ui.taglib.display.ColumnDecorator
              org.hyperic.hq.ui.taglib.display.BaseDecorator

All Implemented Interfaces:
  java.lang.Cloneable, javax.servlet.jsp.tagext.JspTag, javax.servlet.jsp.tagext.Tag

Direct Known Subclasses:
  AlertDefinitionStateDecorator, AlternateDecorator, BooleanDecorator, ConditionalLinkDecorator, DateDecorator, EqualsDecorator, GroupMetricsDecorator, ImageDecorator, ImageLinkDecorator, PathDecorator, PriorityDecorator, SelectDecorator

    public abstract class BaseDecorator

extends ColumnDecorator
implements javax.servlet.jsp.tagext.Tag

This class is an abstract class for decorators to inherit from for implementing decorators for columns.

Field Summary

Fields inherited from interface javax.servlet.jsp.tagext.Tag
`EVAL_BODY_INCLUDE, EVAL_PAGE, SKIP_BODY, SKIP_PAGE`

Constructor Summary
`BaseDecorator()`

Method Summary
`abstract java.lang.String` | `decorate(java.lang.Object obj)` The main method to override here.
`int` | `doEndTag()`
`int` | `doStartTag()`
`protected java.lang.String` | `generateErrorComment(java.lang.String exc, java.lang.String attrName, java.lang.String attrValue, java.lang.Throwable t)`
`java.lang.String` | `getName()`
`javax.servlet.jsp.tagext.Tag` | `getParent()`
`void` | `release()`
`void` | `setName(java.lang.String n)`
`void` | `setParent(javax.servlet.jsp.tagext.Tag t)`

Methods inherited from class org.hyperic.hq.ui.taglib.display.Decorator
`finish, finishRow, getList, getListIndex, getObject, getPageContext, getViewIndex, init, initRow, setPageContext`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface javax.servlet.jsp.tagext.Tag
`setPageContext`

Constructor Detail

### BaseDecorator

    public BaseDecorator()

Method Detail

### decorate

    public abstract java.lang.String decorate(java.lang.Object obj)

  The main method to override here. This should look something like this: `String name = null; try { name = (String) evalAttr("name", this.name, String.class); } catch (NullAttributeException ne) { log.debug("bean " + this.name + " not found"); return ""; } catch (JspException je) { log.debug("can't evaluate name [" + this.name + "]: ", je); return ""; } StringBuffer buf = new StringBuffer(1024); buf.append(""); buf.append(obj.toString()); buf.append(""); return buf.toString()`

  Specified by:
    `decorate` in class `ColumnDecorator`

### doStartTag

    public int doStartTag()
                   throws javax.servlet.jsp.JspTagException

  Specified by:
    `doStartTag` in interface `javax.servlet.jsp.tagext.Tag`
  Throws:
    `javax.servlet.jsp.JspTagException`

### doEndTag

    public int doEndTag()

  Specified by:
    `doEndTag` in interface `javax.servlet.jsp.tagext.Tag`

### getName

    public java.lang.String getName()

### setName

    public void setName(java.lang.String n)

### getParent

    public javax.servlet.jsp.tagext.Tag getParent()

  Specified by:
    `getParent` in interface `javax.servlet.jsp.tagext.Tag`

### setParent

    public void setParent(javax.servlet.jsp.tagext.Tag t)

  Specified by:
    `setParent` in interface `javax.servlet.jsp.tagext.Tag`

### release

    public void release()

  Specified by:
    `release` in interface `javax.servlet.jsp.tagext.Tag`
  Overrides:
    `release` in class `Decorator`

### generateErrorComment

    protected java.lang.String generateErrorComment(java.lang.String exc,
                                                    java.lang.String attrName,
                                                    java.lang.String attrValue,
                                                    java.lang.Throwable t)

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2006 Hyperic, Inc. support@hyperic.net, All Rights Reserved.